import { HorizontalAxisLabelPanelBase } from "./HorizontalAxisLabelPanelBase";
import { Point, Type } from "igniteui-angular-core";
import { AxisLabelPanelBaseView } from "./AxisLabelPanelBaseView";
import { Size } from "igniteui-angular-core";
import { FrameworkElement } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { HorizontalAxisLabelPanelBaseView } from "./HorizontalAxisLabelPanelBaseView";
/**
 * @hidden
 */
export declare class RadialAxisLabelPanel extends HorizontalAxisLabelPanelBase {
    static $t: Type;
    ad(): AxisLabelPanelBaseView;
    b9(a: AxisLabelPanelBaseView): void;
    db: RadialAxisLabelPanelView;
    dh: Point;
    de: number;
    protected get dc(): boolean;
    cw(): boolean;
    protected cx(): boolean;
    bu(a: Size): void;
    be(): number;
    cv(): boolean;
    protected cu(): boolean;
    private dd;
    cc(a: FrameworkElement, b: number): void;
    protected dg(): number;
    protected df(): number;
    protected c9(a: List$1<Rect>, b: List$1<boolean>): void;
    ap(a: number, b: Rect): boolean;
    protected da(): void;
    ah(): AxisLabelsLocation;
    at(a: AxisLabelsLocation): boolean;
    protected b1(): void;
}
/**
 * @hidden
 */
export declare class RadialAxisLabelPanelView extends HorizontalAxisLabelPanelBaseView {
    static $t: Type;
    protected a1: RadialAxisLabelPanel;
    constructor(a: RadialAxisLabelPanel);
    a4(a: FrameworkElement, b: number, c: number): void;
    a3(): void;
    a2(a: Size): void;
    protected al(): void;
}
